#pragma once

#include "CoreMinimal.h"
#include "OutlineUpdateStrategy.h"
#include "UObject/NoExportTypes.h"
#include "K37ScentTrailParticleOutlineUpdateStrategy.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class THEK37_API UK37ScentTrailParticleOutlineUpdateStrategy : public UOutlineUpdateStrategy
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FLinearColor _outlineColor;

public:
	UK37ScentTrailParticleOutlineUpdateStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UK37ScentTrailParticleOutlineUpdateStrategy) { return 0; }
